1

In order to write my CV, I am using moderncv.

1) I download the package moderncv 2.0.0 from CRAN : https://www.ctan.org/tex-archive/macros/latex/contrib/moderncv

2) I dezziped the folder called moderncv. This folder contains :

  • the moderncv.cls file,
  • some .sty files,
  • a folder that contains some examples, one of which is called template.tex.

3) I copied all the files contained in the example folder into the modercv folder in order to have all the files in the same folder.

4) I tried to run the template.tex file with Texmaker and Miktex 2.9 using pdflatex but it gives me : "Process exited with errors" but no error message appears, only some warnings messages.

Here are the warnings messages that appear :

Warning messages in Texmaker

The log file begins with :

This is pdfTeX, Version 3.14159265-2.6-1.40.17 (MiKTeX 2.9 64-bit) (preloaded format=pdflatex 2016.5.31) 30 AUG 2016 10:07 entering extended mode **./template.tex (template.tex LaTeX2e <2016/03/31> Babel <3.9r> and hyphenation patterns for 75 language(s) loaded. (moderncv.cls Document Class: moderncv 2015/07/28 v2.0.0 modern curriculum vitae and letter d ocument class

The log file ends with :

!pdfTeX error: pdflatex (file FontAwesome--fontawesomethree): Font FontAwesome- -fontawesomethree at 600 not found ==> Fatal error occurred, no output PDF file produced!

Thanks in advance,

Anthony

5
  • Welcome to TeX SX! What is your distribution? What does the .log file say?
    – Bernard
    Aug 30, 2016 at 8:27
  • 1
    That doesn't tell me what is your distribution. It seems clear your system doesn't find the type 1 version of fontawesome, since it tries to make bitmap fonts.
    – Bernard
    Aug 30, 2016 at 9:03
  • Possibly relevant tex.stackexchange.com/questions/263150/…
    – Dai Bowen
    Aug 30, 2016 at 11:24
  • Excuse, I'm novice, how can I find the distribution?
    – Anthony
    Aug 30, 2016 at 12:03
  • Yes this is MiKTeX 2.9, I compile with pdflatex and the version number of moderncv is v2.0.0.
    – Anthony
    Aug 30, 2016 at 13:42

1 Answer 1

2

Well, at last there is a little bug in moderncv with the correct usage of fontawesome. It depends on the useing of casual or classic or banking or ... and the way you compile: pdflatex, lualatex etc.

Because we have no MWE I can more or less only guess.

With the moderncv command \moderncvicons you can explicitly define the font you wants to be used for the symbols. In your case, given by the error you mentioned, just add \moderncvicons{marvosym} to your preamble. Font marvosym can be used with pdflatex.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.